package models

type OrgProfileData struct {
	Location string        `json:"location" bson:"location"`
	Website  string        `json:"website"  bson:"website"`
	Phone    string        `json:"phone"    bson:"phone"`
	Social   OrgSocialData `json:"social"   bson:"social"`
}

type OrgSocialData struct {
	Whatsapp   string `json:"whatsapp"   bson:"whatsapp"`
	Facebook   string `json:"facebook"   bson:"facebook"`
	GooglePlus string `json:"googlePlus" bson:"googlePlus"`
	TikTok     string `json:"tikTok"     bson:"tikTok"`
	Instagram  string `json:"instagram"  bson:"instagram"`
	Youtube    string `json:"youtube"    bson:"youtube"`
	Snapchat   string `json:"snapchat"   bson:"snapchat"`
	Signal     string `json:"signal"     bson:"signal"`
	Telegram   string `json:"telegram"   bson:"telegram"`
	Twitter    string `json:"twitter"    bson:"twitter"`
	Mastodon   string `json:"mastodon"   bson:"mastodon"`
	Tumblr     string `json:"tumblr"     bson:"tumblr"`
	Pinterest  string `json:"pinterest"  bson:"pinterest"`
	LinkedIn   string `json:"linkedIn"   bson:"linkedIn"`
	Xing       string `json:"xing"       bson:"xing"`
}
